<form autocomplete='off' class='flexcol'>
	{{!-- FORMULAS --}}
	<div class='formula-help'>
		<p class='help-text'><i class='fas fa-info-circle'></i> {{{localize 'Koboldworks.Resting.Settings.Formula.Vars.Heading'}}}</p>
		{{#each vars as |label key|}}
		<code class='var'>@{{key}}</code>
		<label class='description'>{{localize label}}</label>
		{{/each}}
	</div>

	<hr>

	{{!-- FULL TERM REST --}}

	<div class='form-group'>
		<label for='heal.fullRest' class='underline'>{{localize 'Koboldworks.Resting.Settings.Formula.FullRest'}}</label>
		<div class='form-fields'>
			<input class='formula' type='text' name='heal.fullRest' data-dtype='String'
				value='{{heal.fullRest}}' placeholder='{{localize 'Koboldworks.Resting.Settings.Formula.NotSet'}}'></input>
		</div>
		<p class='notes'>{{localize 'Koboldworks.Resting.Settings.Formula.FullRestHint'}}</p>
	</div>
	{{#if fullRest_errors.length}}
	<div class='form-group errors'>
		<label>{{localize 'Koboldworks.Resting.Settings.Formula.Errors'}} <i class='fa-solid fa-triangle-exclamation'></i></label>
		<div class='form-fields error-list'>
			{{#each fullRest_errors}}
			<span class='formula' data-tooltip='{{error}}'>{{match}}</span>
			{{/each}}
		</div>
	</div>
	{{/if}}

	{{!-- NORMAL REST --}}
	{{#each formulas}}
		<h3>{{localize label}}</h3>

		<div class='form-group'>
			<label for='heal.{{@key}}.formula' class='underline'>{{localize 'Koboldworks.Resting.Settings.Formula.Natural'}}</label>
			<div class='form-fields'>
				<input class='formula' type='text' name='heal.{{@key}}.formula' data-dtype='String'
					value='{{formula}}' placeholder='{{localize 'Koboldworks.Resting.Settings.Formula.NotSet'}}'></input>
			</div>
		</div>
		{{#if formula_errors.length}}
		<div class='form-group errors'>
			<label>{{localize 'Koboldworks.Resting.Settings.Formula.Errors'}} <i class='fa-solid fa-triangle-exclamation'></i></label>
			<div class='form-fields error-list'>
				{{#each formula_errors}}
				<span class='formula' data-tooltip='{{error}}'>{{match}}</span>
				{{/each}}
			</div>
		</div>
		{{/if}}
		<div class='form-group'>
			<label for='heal.{{@key}}.bonus' class='underline'>{{localize 'Koboldworks.Resting.Settings.Formula.Bonus'}}</label>
			<div class='form-fields'>
				<input class='formula' type='text' name='heal.{{@key}}.bonus' data-dtype='String'
					value='{{bonus}}' placeholder='{{localize 'Koboldworks.Resting.Settings.Formula.NotSet'}}'></input>
			</div>
		</div>
		{{#if bonus_errors.length}}
		<div class='form-group errors'>
			<label>{{localize 'Koboldworks.Resting.Settings.Formula.Errors'}} <i class='fa-solid fa-triangle-exclamation'></i></label>
			<div class='form-fields error-list'>
				{{#each bonus_errors}}
				<span class='formula' data-tooltip='{{error}}'>{{match}}</span>
				{{/each}}
			</div>
		</div>
		{{/if}}
		<div class='form-group'>
			<label for='heal.{{@key}}.longTerm' class='underline'>{{localize 'Koboldworks.Resting.Settings.Formula.LongTerm'}}</label>
			<div class='form-fields'>
				<input class='formula' type='text' name='heal.{{@key}}.longTerm' data-dtype='String'
					value='{{longTerm}}' placeholder='{{localize 'Koboldworks.Resting.Settings.Formula.NotSet'}}'></input>
			</div>
		</div>
		{{#if longTerm_errors.length}}
		<div class='form-group errors'>
			<label>{{localize 'Koboldworks.Resting.Settings.Formula.Errors'}} <i class='fa-solid fa-triangle-exclamation'></i></label>
			<div class='form-fields error-list'>
				{{#each longTerm_errors}}
				<span class='formula' data-tooltip='{{error}}'>{{match}}</span>
				{{/each}}
			</div>
		</div>
		{{/if}}
		<div class='notes-block'>
			<p class='notes'>{{localize hint}}</p>
		</div>
	{{/each}}

	<hr />

	{{!-- BUTTONS --}}
	<div class='form-group'>
		<button type='button' name='save'>
			<i class="fas fa-save"></i>
			{{localize 'SETTINGS.Save'}}
		</button>
		<button type='button' name='reset'>
			<i class="fas fa-sync"></i>
			{{localize 'SETTINGS.Reset'}}
		</button>
	</div>
</form>
